REGULATOR_SUSPEND_PR(9)

NAME
regulator_suspend_prepare - prepare regulators for system wide suspend

SYNOPSIS

int regulator_suspend_prepare(suspend_state_t state);

ARGUMENTS

state
    system suspend state

DESCRIPTION

Configure each regulator with it's suspend operating parameters for state. This will usually be called by machine suspend code prior to supending.

AUTHORS

Liam Girdwood <lrg@slimlogic.co.uk>
    Author.

Mark Brown <broonie@opensource.wolfsonmicro.com>
Wolfson Microelectronics,

    Author.

COPYRIGHT